﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using Infragistics.Documents.Excel;

public partial class _Default : System.Web.UI.Page
{
    int exportedRows = 0;
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt = new DataTable();
        DataRow row;

        #region Initialize Columns

        DataColumn colId = new DataColumn("EmployeeId", Type.GetType("System.Int32"));
        colId.ReadOnly = true;
        dt.Columns.Add(colId);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dt.Columns["id"];
        dt.PrimaryKey = PrimaryKeyColumns;

        DataColumn colLastName = new DataColumn("LastName", Type.GetType("System.String"));
        dt.Columns.Add(colLastName);

        DataColumn colFirstName = new DataColumn("FirstName", Type.GetType("System.String"));
        dt.Columns.Add(colFirstName);

        DataColumn colTitle = new DataColumn("Title", Type.GetType("System.String"));
        dt.Columns.Add(colTitle);

        DataColumn colAddress = new DataColumn("Address", Type.GetType("System.String"));
        dt.Columns.Add(colAddress);

        DataColumn colAddress2 = new DataColumn("Address2", Type.GetType("System.String"));
        dt.Columns.Add(colAddress2);

        DataColumn Number = new DataColumn("Number", Type.GetType("System.Int32"));
        dt.Columns.Add(Number);

        DataColumn date = new DataColumn("Date", Type.GetType("System.DateTime"));
        dt.Columns.Add(date);


        DataColumn date2 = new DataColumn("Date2", Type.GetType("System.DateTime"));
        dt.Columns.Add(date2);
        #endregion

        #region Initialize Rows

        for (int i = 1; i <= 50; i++)
        {
            row = dt.NewRow();
            row["EmployeeId"] = i;
            row["LastName"] = "Davolio" + i;
            row["FirstName"] = "Nancy" + i;
            row["Title"] = "Sales Representative" + i;
            row["Address"] = "507 - 20th Ave. E. Apt. 2A" + i;
            row["Address2"] = "507 - 20th Ave. E. Apt. 2A" + i;
            if (i < 25)
            {
                row["Number"] = i + 1000000;
                row["Date"] = DateTime.Now.AddDays(-60);
                row["Date2"] = DateTime.Now.AddDays(30);
            }
            else
            {
                row["Number"] = i + 1000;
                row["Date"] = DateTime.Now;
                row["Date2"] = DateTime.Now;
            }

            dt.Rows.Add(row);
        }


        #endregion
        WebDataGrid1.Width = Unit.Parse("100%");
        WebDataGrid1.DataSource = dt;
        WebDataGrid1.DataBind();
    }
    protected void btnExport_Click(object sender, EventArgs e)
    {
        this.excelExporter.DisableCellValueFormatting = true;
        this.excelExporter.DataExportMode = DataExportMode.DataInGridOnly;
        this.excelExporter.WorkbookFormat = Infragistics.Documents.Excel.WorkbookFormat.Excel2007;
        this.excelExporter.ExportMode = ExportMode.Download;

        //Infragistics.Documents.Excel.Workbook wb = new Infragistics.Documents.Excel.Workbook();
        //wb.Worksheets.Add(WebDataGrid1.ID);

       // this.excelExporter.Export(WebDataGrid1, wb.Worksheets[WebDataGrid1.ID], 0, 0);
        this.excelExporter.Export(WebDataGrid1);
    }
    protected void excelExporter_Exported(object sender, ExcelExportedEventArgs e)
    {
        Worksheet test = e.Worksheet;
        test.Rows[exportedRows + 1].Cells[0].Value = "created Date:";
        test.Rows[exportedRows + 1].Cells[1].Value = DateTime.Now.ToShortDateString();

        test.Rows[exportedRows + 2].Cells[0].Value = "Created by:";
        test.Rows[exportedRows + 2].Cells[1].Value = "Me";
    }
    protected void excelExporter_RowExported(object sender, ExcelRowExportedEventArgs e)
    {
        exportedRows++;
    }
}